package net.risesoft.demo.controller;

import java.util.ArrayList;
import java.util.List;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import jakarta.servlet.http.HttpServletRequest;
import net.risesoft.demo.entity.User;
import net.risesoft.demo.repository.UserRepository;

@RestController
@RequestMapping
public class UserController {
	
	private final UserRepository userRepository;

	public UserController(UserRepository userRepository) {
		super();
		this.userRepository = userRepository;
	}

	@GetMapping({"", "/"})
	public List<String> hosts(HttpServletRequest request){
		List<String> list = new ArrayList<String>();
		list.add("serverName=" + request.getServerName());
		list.add("localAddr=" + request.getLocalAddr());
		return list;
	}
	
	@GetMapping({"/users"})
	public List<User> users(){
		return userRepository.findAll();
	}
}
